#pragma once

#include "kpi.h"

struct kbspu_Settings
{
    wchar_t szDllPath[MAX_PATH];
};

BOOL  __fastcall kbspu_EnumConfig(IKpiConfigEnumerator *pEnumerator);
DWORD __fastcall kbspu_ApplyConfig(IKpiConfig *pConfig,
                               const wchar_t *cszSection,//セクション名
                               const wchar_t *cszKey,    //キー名
                               INT64  nValue, //変更後の値(BOOL/INT の場合)
                               double dValue, //変更後の値(FLOAT の場合)
                               const wchar_t *cszValue);////変更後の値(文字列)
void __fastcall kbspu_GetSettings(IKpiConfig *pConfig, kbspu_Settings *pSettings);
DWORD __fastcall kbspu_GetMultipleInstance(IKpiConfig *pConfig);